import download_nonvida
import create_xml_stock
import create_xml_price
import send_files
import prepare_csv_files
import time
from datetime import datetime

if __name__ == "__main__":
    start_time = time.time()
    download_nonvida.execute()
    print("Downloaded nonvida")
    prepare_csv_files.execute()
    print("Prepared csv files")
    create_xml_stock.execute()
    print("Created stock xmls")
    create_xml_price.execute()
    print("Created price xmls")
    send_files.execute()
    end_time = time.time()
    with open("/usr/home/dkkapusta1997/domains/dkkapusta1997.usermd.net/public_html/warehouses.csv", 'a') as f:
        f.write(datetime.now().strftime("%d-%m-%y_%H:%M")+";CDON_extrastore;"+str(round(end_time-start_time, 2))+"\n")